IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network46.100.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
46.100.0.0- Broadcast address
46.103.255.255- First usable
46.100.0.1- Last usable
46.103.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
2E640000· Integer778305536to778567679 - Reverse DNS zones
100.46.in-addr.arpa101.46.in-addr.arpa102.46.in-addr.arpa103.46.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00101110.01100100.00000000.00000000 | 46.100.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00101110.01100100.00000000.00000000 | 46.100.0.0 |
| Broadcast | 00101110.01100111.11111111.11111111 | 46.103.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
46.100.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 46.100.0.0/23 | 46.100.0.1 to 46.100.1.254 | 46.100.1.255 | 510 |
| 2 | 46.100.2.0/23 | 46.100.2.1 to 46.100.3.254 | 46.100.3.255 | 510 |
| 3 | 46.100.4.0/23 | 46.100.4.1 to 46.100.5.254 | 46.100.5.255 | 510 |
| 4 | 46.100.6.0/23 | 46.100.6.1 to 46.100.7.254 | 46.100.7.255 | 510 |
| 5 | 46.100.8.0/23 | 46.100.8.1 to 46.100.9.254 | 46.100.9.255 | 510 |
| 6 | 46.100.10.0/23 | 46.100.10.1 to 46.100.11.254 | 46.100.11.255 | 510 |
| 7 | 46.100.12.0/23 | 46.100.12.1 to 46.100.13.254 | 46.100.13.255 | 510 |
| 8 | 46.100.14.0/23 | 46.100.14.1 to 46.100.15.254 | 46.100.15.255 | 510 |
| 9 | 46.100.16.0/23 | 46.100.16.1 to 46.100.17.254 | 46.100.17.255 | 510 |
| 10 | 46.100.18.0/23 | 46.100.18.1 to 46.100.19.254 | 46.100.19.255 | 510 |
| 11 | 46.100.20.0/23 | 46.100.20.1 to 46.100.21.254 | 46.100.21.255 | 510 |
| 12 | 46.100.22.0/23 | 46.100.22.1 to 46.100.23.254 | 46.100.23.255 | 510 |
| 13 | 46.100.24.0/23 | 46.100.24.1 to 46.100.25.254 | 46.100.25.255 | 510 |
| 14 | 46.100.26.0/23 | 46.100.26.1 to 46.100.27.254 | 46.100.27.255 | 510 |
| 15 | 46.100.28.0/23 | 46.100.28.1 to 46.100.29.254 | 46.100.29.255 | 510 |
| 16 | 46.100.30.0/23 | 46.100.30.1 to 46.100.31.254 | 46.100.31.255 | 510 |
| 17 | 46.100.32.0/23 | 46.100.32.1 to 46.100.33.254 | 46.100.33.255 | 510 |
| 18 | 46.100.34.0/23 | 46.100.34.1 to 46.100.35.254 | 46.100.35.255 | 510 |
| 19 | 46.100.36.0/23 | 46.100.36.1 to 46.100.37.254 | 46.100.37.255 | 510 |
| 20 | 46.100.38.0/23 | 46.100.38.1 to 46.100.39.254 | 46.100.39.255 | 510 |
| 21 | 46.100.40.0/23 | 46.100.40.1 to 46.100.41.254 | 46.100.41.255 | 510 |
| 22 | 46.100.42.0/23 | 46.100.42.1 to 46.100.43.254 | 46.100.43.255 | 510 |
| 23 | 46.100.44.0/23 | 46.100.44.1 to 46.100.45.254 | 46.100.45.255 | 510 |
| 24 | 46.100.46.0/23 | 46.100.46.1 to 46.100.47.254 | 46.100.47.255 | 510 |
| 25 | 46.100.48.0/23 | 46.100.48.1 to 46.100.49.254 | 46.100.49.255 | 510 |
| 26 | 46.100.50.0/23 | 46.100.50.1 to 46.100.51.254 | 46.100.51.255 | 510 |
| 27 | 46.100.52.0/23 | 46.100.52.1 to 46.100.53.254 | 46.100.53.255 | 510 |
| 28 | 46.100.54.0/23 | 46.100.54.1 to 46.100.55.254 | 46.100.55.255 | 510 |
| 29 | 46.100.56.0/23 | 46.100.56.1 to 46.100.57.254 | 46.100.57.255 | 510 |
| 30 | 46.100.58.0/23 | 46.100.58.1 to 46.100.59.254 | 46.100.59.255 | 510 |
| 31 | 46.100.60.0/23 | 46.100.60.1 to 46.100.61.254 | 46.100.61.255 | 510 |
| 32 | 46.100.62.0/23 | 46.100.62.1 to 46.100.63.254 | 46.100.63.255 | 510 |
| 33 | 46.100.64.0/23 | 46.100.64.1 to 46.100.65.254 | 46.100.65.255 | 510 |
| 34 | 46.100.66.0/23 | 46.100.66.1 to 46.100.67.254 | 46.100.67.255 | 510 |
| 35 | 46.100.68.0/23 | 46.100.68.1 to 46.100.69.254 | 46.100.69.255 | 510 |
| 36 | 46.100.70.0/23 | 46.100.70.1 to 46.100.71.254 | 46.100.71.255 | 510 |
| 37 | 46.100.72.0/23 | 46.100.72.1 to 46.100.73.254 | 46.100.73.255 | 510 |
| 38 | 46.100.74.0/23 | 46.100.74.1 to 46.100.75.254 | 46.100.75.255 | 510 |
| 39 | 46.100.76.0/23 | 46.100.76.1 to 46.100.77.254 | 46.100.77.255 | 510 |
| 40 | 46.100.78.0/23 | 46.100.78.1 to 46.100.79.254 | 46.100.79.255 | 510 |
| 41 | 46.100.80.0/23 | 46.100.80.1 to 46.100.81.254 | 46.100.81.255 | 510 |
| 42 | 46.100.82.0/23 | 46.100.82.1 to 46.100.83.254 | 46.100.83.255 | 510 |
| 43 | 46.100.84.0/23 | 46.100.84.1 to 46.100.85.254 | 46.100.85.255 | 510 |
| 44 | 46.100.86.0/23 | 46.100.86.1 to 46.100.87.254 | 46.100.87.255 | 510 |
| 45 | 46.100.88.0/23 | 46.100.88.1 to 46.100.89.254 | 46.100.89.255 | 510 |
| 46 | 46.100.90.0/23 | 46.100.90.1 to 46.100.91.254 | 46.100.91.255 | 510 |
| 47 | 46.100.92.0/23 | 46.100.92.1 to 46.100.93.254 | 46.100.93.255 | 510 |
| 48 | 46.100.94.0/23 | 46.100.94.1 to 46.100.95.254 | 46.100.95.255 | 510 |
| 49 | 46.100.96.0/23 | 46.100.96.1 to 46.100.97.254 | 46.100.97.255 | 510 |
| 50 | 46.100.98.0/23 | 46.100.98.1 to 46.100.99.254 | 46.100.99.255 | 510 |
| 51 | 46.100.100.0/23 | 46.100.100.1 to 46.100.101.254 | 46.100.101.255 | 510 |
| 52 | 46.100.102.0/23 | 46.100.102.1 to 46.100.103.254 | 46.100.103.255 | 510 |
| 53 | 46.100.104.0/23 | 46.100.104.1 to 46.100.105.254 | 46.100.105.255 | 510 |
| 54 | 46.100.106.0/23 | 46.100.106.1 to 46.100.107.254 | 46.100.107.255 | 510 |
| 55 | 46.100.108.0/23 | 46.100.108.1 to 46.100.109.254 | 46.100.109.255 | 510 |
| 56 | 46.100.110.0/23 | 46.100.110.1 to 46.100.111.254 | 46.100.111.255 | 510 |
| 57 | 46.100.112.0/23 | 46.100.112.1 to 46.100.113.254 | 46.100.113.255 | 510 |
| 58 | 46.100.114.0/23 | 46.100.114.1 to 46.100.115.254 | 46.100.115.255 | 510 |
| 59 | 46.100.116.0/23 | 46.100.116.1 to 46.100.117.254 | 46.100.117.255 | 510 |
| 60 | 46.100.118.0/23 | 46.100.118.1 to 46.100.119.254 | 46.100.119.255 | 510 |
| 61 | 46.100.120.0/23 | 46.100.120.1 to 46.100.121.254 | 46.100.121.255 | 510 |
| 62 | 46.100.122.0/23 | 46.100.122.1 to 46.100.123.254 | 46.100.123.255 | 510 |
| 63 | 46.100.124.0/23 | 46.100.124.1 to 46.100.125.254 | 46.100.125.255 | 510 |
| 64 | 46.100.126.0/23 | 46.100.126.1 to 46.100.127.254 | 46.100.127.255 | 510 |
| 65 | 46.100.128.0/23 | 46.100.128.1 to 46.100.129.254 | 46.100.129.255 | 510 |
| 66 | 46.100.130.0/23 | 46.100.130.1 to 46.100.131.254 | 46.100.131.255 | 510 |
| 67 | 46.100.132.0/23 | 46.100.132.1 to 46.100.133.254 | 46.100.133.255 | 510 |
| 68 | 46.100.134.0/23 | 46.100.134.1 to 46.100.135.254 | 46.100.135.255 | 510 |
| 69 | 46.100.136.0/23 | 46.100.136.1 to 46.100.137.254 | 46.100.137.255 | 510 |
| 70 | 46.100.138.0/23 | 46.100.138.1 to 46.100.139.254 | 46.100.139.255 | 510 |
| 71 | 46.100.140.0/23 | 46.100.140.1 to 46.100.141.254 | 46.100.141.255 | 510 |
| 72 | 46.100.142.0/23 | 46.100.142.1 to 46.100.143.254 | 46.100.143.255 | 510 |
| 73 | 46.100.144.0/23 | 46.100.144.1 to 46.100.145.254 | 46.100.145.255 | 510 |
| 74 | 46.100.146.0/23 | 46.100.146.1 to 46.100.147.254 | 46.100.147.255 | 510 |
| 75 | 46.100.148.0/23 | 46.100.148.1 to 46.100.149.254 | 46.100.149.255 | 510 |
| 76 | 46.100.150.0/23 | 46.100.150.1 to 46.100.151.254 | 46.100.151.255 | 510 |
| 77 | 46.100.152.0/23 | 46.100.152.1 to 46.100.153.254 | 46.100.153.255 | 510 |
| 78 | 46.100.154.0/23 | 46.100.154.1 to 46.100.155.254 | 46.100.155.255 | 510 |
| 79 | 46.100.156.0/23 | 46.100.156.1 to 46.100.157.254 | 46.100.157.255 | 510 |
| 80 | 46.100.158.0/23 | 46.100.158.1 to 46.100.159.254 | 46.100.159.255 | 510 |
| 81 | 46.100.160.0/23 | 46.100.160.1 to 46.100.161.254 | 46.100.161.255 | 510 |
| 82 | 46.100.162.0/23 | 46.100.162.1 to 46.100.163.254 | 46.100.163.255 | 510 |
| 83 | 46.100.164.0/23 | 46.100.164.1 to 46.100.165.254 | 46.100.165.255 | 510 |
| 84 | 46.100.166.0/23 | 46.100.166.1 to 46.100.167.254 | 46.100.167.255 | 510 |
| 85 | 46.100.168.0/23 | 46.100.168.1 to 46.100.169.254 | 46.100.169.255 | 510 |
| 86 | 46.100.170.0/23 | 46.100.170.1 to 46.100.171.254 | 46.100.171.255 | 510 |
| 87 | 46.100.172.0/23 | 46.100.172.1 to 46.100.173.254 | 46.100.173.255 | 510 |
| 88 | 46.100.174.0/23 | 46.100.174.1 to 46.100.175.254 | 46.100.175.255 | 510 |
| 89 | 46.100.176.0/23 | 46.100.176.1 to 46.100.177.254 | 46.100.177.255 | 510 |
| 90 | 46.100.178.0/23 | 46.100.178.1 to 46.100.179.254 | 46.100.179.255 | 510 |
| 91 | 46.100.180.0/23 | 46.100.180.1 to 46.100.181.254 | 46.100.181.255 | 510 |
| 92 | 46.100.182.0/23 | 46.100.182.1 to 46.100.183.254 | 46.100.183.255 | 510 |
| 93 | 46.100.184.0/23 | 46.100.184.1 to 46.100.185.254 | 46.100.185.255 | 510 |
| 94 | 46.100.186.0/23 | 46.100.186.1 to 46.100.187.254 | 46.100.187.255 | 510 |
| 95 | 46.100.188.0/23 | 46.100.188.1 to 46.100.189.254 | 46.100.189.255 | 510 |
| 96 | 46.100.190.0/23 | 46.100.190.1 to 46.100.191.254 | 46.100.191.255 | 510 |
| 97 | 46.100.192.0/23 | 46.100.192.1 to 46.100.193.254 | 46.100.193.255 | 510 |
| 98 | 46.100.194.0/23 | 46.100.194.1 to 46.100.195.254 | 46.100.195.255 | 510 |
| 99 | 46.100.196.0/23 | 46.100.196.1 to 46.100.197.254 | 46.100.197.255 | 510 |
| 100 | 46.100.198.0/23 | 46.100.198.1 to 46.100.199.254 | 46.100.199.255 | 510 |
| 101 | 46.100.200.0/23 | 46.100.200.1 to 46.100.201.254 | 46.100.201.255 | 510 |
| 102 | 46.100.202.0/23 | 46.100.202.1 to 46.100.203.254 | 46.100.203.255 | 510 |
| 103 | 46.100.204.0/23 | 46.100.204.1 to 46.100.205.254 | 46.100.205.255 | 510 |
| 104 | 46.100.206.0/23 | 46.100.206.1 to 46.100.207.254 | 46.100.207.255 | 510 |
| 105 | 46.100.208.0/23 | 46.100.208.1 to 46.100.209.254 | 46.100.209.255 | 510 |
| 106 | 46.100.210.0/23 | 46.100.210.1 to 46.100.211.254 | 46.100.211.255 | 510 |
| 107 | 46.100.212.0/23 | 46.100.212.1 to 46.100.213.254 | 46.100.213.255 | 510 |
| 108 | 46.100.214.0/23 | 46.100.214.1 to 46.100.215.254 | 46.100.215.255 | 510 |
| 109 | 46.100.216.0/23 | 46.100.216.1 to 46.100.217.254 | 46.100.217.255 | 510 |
| 110 | 46.100.218.0/23 | 46.100.218.1 to 46.100.219.254 | 46.100.219.255 | 510 |
| 111 | 46.100.220.0/23 | 46.100.220.1 to 46.100.221.254 | 46.100.221.255 | 510 |
| 112 | 46.100.222.0/23 | 46.100.222.1 to 46.100.223.254 | 46.100.223.255 | 510 |
| 113 | 46.100.224.0/23 | 46.100.224.1 to 46.100.225.254 | 46.100.225.255 | 510 |
| 114 | 46.100.226.0/23 | 46.100.226.1 to 46.100.227.254 | 46.100.227.255 | 510 |
| 115 | 46.100.228.0/23 | 46.100.228.1 to 46.100.229.254 | 46.100.229.255 | 510 |
| 116 | 46.100.230.0/23 | 46.100.230.1 to 46.100.231.254 | 46.100.231.255 | 510 |
| 117 | 46.100.232.0/23 | 46.100.232.1 to 46.100.233.254 | 46.100.233.255 | 510 |
| 118 | 46.100.234.0/23 | 46.100.234.1 to 46.100.235.254 | 46.100.235.255 | 510 |
| 119 | 46.100.236.0/23 | 46.100.236.1 to 46.100.237.254 | 46.100.237.255 | 510 |
| 120 | 46.100.238.0/23 | 46.100.238.1 to 46.100.239.254 | 46.100.239.255 | 510 |
| 121 | 46.100.240.0/23 | 46.100.240.1 to 46.100.241.254 | 46.100.241.255 | 510 |
| 122 | 46.100.242.0/23 | 46.100.242.1 to 46.100.243.254 | 46.100.243.255 | 510 |
| 123 | 46.100.244.0/23 | 46.100.244.1 to 46.100.245.254 | 46.100.245.255 | 510 |
| 124 | 46.100.246.0/23 | 46.100.246.1 to 46.100.247.254 | 46.100.247.255 | 510 |
| 125 | 46.100.248.0/23 | 46.100.248.1 to 46.100.249.254 | 46.100.249.255 | 510 |
| 126 | 46.100.250.0/23 | 46.100.250.1 to 46.100.251.254 | 46.100.251.255 | 510 |
| 127 | 46.100.252.0/23 | 46.100.252.1 to 46.100.253.254 | 46.100.253.255 | 510 |
| 128 | 46.100.254.0/23 | 46.100.254.1 to 46.100.255.254 | 46.100.255.255 | 510 |
| 129 | 46.101.0.0/23 | 46.101.0.1 to 46.101.1.254 | 46.101.1.255 | 510 |
| 130 | 46.101.2.0/23 | 46.101.2.1 to 46.101.3.254 | 46.101.3.255 | 510 |
| 131 | 46.101.4.0/23 | 46.101.4.1 to 46.101.5.254 | 46.101.5.255 | 510 |
| 132 | 46.101.6.0/23 | 46.101.6.1 to 46.101.7.254 | 46.101.7.255 | 510 |
| 133 | 46.101.8.0/23 | 46.101.8.1 to 46.101.9.254 | 46.101.9.255 | 510 |
| 134 | 46.101.10.0/23 | 46.101.10.1 to 46.101.11.254 | 46.101.11.255 | 510 |
| 135 | 46.101.12.0/23 | 46.101.12.1 to 46.101.13.254 | 46.101.13.255 | 510 |
| 136 | 46.101.14.0/23 | 46.101.14.1 to 46.101.15.254 | 46.101.15.255 | 510 |
| 137 | 46.101.16.0/23 | 46.101.16.1 to 46.101.17.254 | 46.101.17.255 | 510 |
| 138 | 46.101.18.0/23 | 46.101.18.1 to 46.101.19.254 | 46.101.19.255 | 510 |
| 139 | 46.101.20.0/23 | 46.101.20.1 to 46.101.21.254 | 46.101.21.255 | 510 |
| 140 | 46.101.22.0/23 | 46.101.22.1 to 46.101.23.254 | 46.101.23.255 | 510 |
| 141 | 46.101.24.0/23 | 46.101.24.1 to 46.101.25.254 | 46.101.25.255 | 510 |
| 142 | 46.101.26.0/23 | 46.101.26.1 to 46.101.27.254 | 46.101.27.255 | 510 |
| 143 | 46.101.28.0/23 | 46.101.28.1 to 46.101.29.254 | 46.101.29.255 | 510 |
| 144 | 46.101.30.0/23 | 46.101.30.1 to 46.101.31.254 | 46.101.31.255 | 510 |
| 145 | 46.101.32.0/23 | 46.101.32.1 to 46.101.33.254 | 46.101.33.255 | 510 |
| 146 | 46.101.34.0/23 | 46.101.34.1 to 46.101.35.254 | 46.101.35.255 | 510 |
| 147 | 46.101.36.0/23 | 46.101.36.1 to 46.101.37.254 | 46.101.37.255 | 510 |
| 148 | 46.101.38.0/23 | 46.101.38.1 to 46.101.39.254 | 46.101.39.255 | 510 |
| 149 | 46.101.40.0/23 | 46.101.40.1 to 46.101.41.254 | 46.101.41.255 | 510 |
| 150 | 46.101.42.0/23 | 46.101.42.1 to 46.101.43.254 | 46.101.43.255 | 510 |
| 151 | 46.101.44.0/23 | 46.101.44.1 to 46.101.45.254 | 46.101.45.255 | 510 |
| 152 | 46.101.46.0/23 | 46.101.46.1 to 46.101.47.254 | 46.101.47.255 | 510 |
| 153 | 46.101.48.0/23 | 46.101.48.1 to 46.101.49.254 | 46.101.49.255 | 510 |
| 154 | 46.101.50.0/23 | 46.101.50.1 to 46.101.51.254 | 46.101.51.255 | 510 |
| 155 | 46.101.52.0/23 | 46.101.52.1 to 46.101.53.254 | 46.101.53.255 | 510 |
| 156 | 46.101.54.0/23 | 46.101.54.1 to 46.101.55.254 | 46.101.55.255 | 510 |
| 157 | 46.101.56.0/23 | 46.101.56.1 to 46.101.57.254 | 46.101.57.255 | 510 |
| 158 | 46.101.58.0/23 | 46.101.58.1 to 46.101.59.254 | 46.101.59.255 | 510 |
| 159 | 46.101.60.0/23 | 46.101.60.1 to 46.101.61.254 | 46.101.61.255 | 510 |
| 160 | 46.101.62.0/23 | 46.101.62.1 to 46.101.63.254 | 46.101.63.255 | 510 |
| 161 | 46.101.64.0/23 | 46.101.64.1 to 46.101.65.254 | 46.101.65.255 | 510 |
| 162 | 46.101.66.0/23 | 46.101.66.1 to 46.101.67.254 | 46.101.67.255 | 510 |
| 163 | 46.101.68.0/23 | 46.101.68.1 to 46.101.69.254 | 46.101.69.255 | 510 |
| 164 | 46.101.70.0/23 | 46.101.70.1 to 46.101.71.254 | 46.101.71.255 | 510 |
| 165 | 46.101.72.0/23 | 46.101.72.1 to 46.101.73.254 | 46.101.73.255 | 510 |
| 166 | 46.101.74.0/23 | 46.101.74.1 to 46.101.75.254 | 46.101.75.255 | 510 |
| 167 | 46.101.76.0/23 | 46.101.76.1 to 46.101.77.254 | 46.101.77.255 | 510 |
| 168 | 46.101.78.0/23 | 46.101.78.1 to 46.101.79.254 | 46.101.79.255 | 510 |
| 169 | 46.101.80.0/23 | 46.101.80.1 to 46.101.81.254 | 46.101.81.255 | 510 |
| 170 | 46.101.82.0/23 | 46.101.82.1 to 46.101.83.254 | 46.101.83.255 | 510 |
| 171 | 46.101.84.0/23 | 46.101.84.1 to 46.101.85.254 | 46.101.85.255 | 510 |
| 172 | 46.101.86.0/23 | 46.101.86.1 to 46.101.87.254 | 46.101.87.255 | 510 |
| 173 | 46.101.88.0/23 | 46.101.88.1 to 46.101.89.254 | 46.101.89.255 | 510 |
| 174 | 46.101.90.0/23 | 46.101.90.1 to 46.101.91.254 | 46.101.91.255 | 510 |
| 175 | 46.101.92.0/23 | 46.101.92.1 to 46.101.93.254 | 46.101.93.255 | 510 |
| 176 | 46.101.94.0/23 | 46.101.94.1 to 46.101.95.254 | 46.101.95.255 | 510 |
| 177 | 46.101.96.0/23 | 46.101.96.1 to 46.101.97.254 | 46.101.97.255 | 510 |
| 178 | 46.101.98.0/23 | 46.101.98.1 to 46.101.99.254 | 46.101.99.255 | 510 |
| 179 | 46.101.100.0/23 | 46.101.100.1 to 46.101.101.254 | 46.101.101.255 | 510 |
| 180 | 46.101.102.0/23 | 46.101.102.1 to 46.101.103.254 | 46.101.103.255 | 510 |
| 181 | 46.101.104.0/23 | 46.101.104.1 to 46.101.105.254 | 46.101.105.255 | 510 |
| 182 | 46.101.106.0/23 | 46.101.106.1 to 46.101.107.254 | 46.101.107.255 | 510 |
| 183 | 46.101.108.0/23 | 46.101.108.1 to 46.101.109.254 | 46.101.109.255 | 510 |
| 184 | 46.101.110.0/23 | 46.101.110.1 to 46.101.111.254 | 46.101.111.255 | 510 |
| 185 | 46.101.112.0/23 | 46.101.112.1 to 46.101.113.254 | 46.101.113.255 | 510 |
| 186 | 46.101.114.0/23 | 46.101.114.1 to 46.101.115.254 | 46.101.115.255 | 510 |
| 187 | 46.101.116.0/23 | 46.101.116.1 to 46.101.117.254 | 46.101.117.255 | 510 |
| 188 | 46.101.118.0/23 | 46.101.118.1 to 46.101.119.254 | 46.101.119.255 | 510 |
| 189 | 46.101.120.0/23 | 46.101.120.1 to 46.101.121.254 | 46.101.121.255 | 510 |
| 190 | 46.101.122.0/23 | 46.101.122.1 to 46.101.123.254 | 46.101.123.255 | 510 |
| 191 | 46.101.124.0/23 | 46.101.124.1 to 46.101.125.254 | 46.101.125.255 | 510 |
| 192 | 46.101.126.0/23 | 46.101.126.1 to 46.101.127.254 | 46.101.127.255 | 510 |
| 193 | 46.101.128.0/23 | 46.101.128.1 to 46.101.129.254 | 46.101.129.255 | 510 |
| 194 | 46.101.130.0/23 | 46.101.130.1 to 46.101.131.254 | 46.101.131.255 | 510 |
| 195 | 46.101.132.0/23 | 46.101.132.1 to 46.101.133.254 | 46.101.133.255 | 510 |
| 196 | 46.101.134.0/23 | 46.101.134.1 to 46.101.135.254 | 46.101.135.255 | 510 |
| 197 | 46.101.136.0/23 | 46.101.136.1 to 46.101.137.254 | 46.101.137.255 | 510 |
| 198 | 46.101.138.0/23 | 46.101.138.1 to 46.101.139.254 | 46.101.139.255 | 510 |
| 199 | 46.101.140.0/23 | 46.101.140.1 to 46.101.141.254 | 46.101.141.255 | 510 |
| 200 | 46.101.142.0/23 | 46.101.142.1 to 46.101.143.254 | 46.101.143.255 | 510 |
| 201 | 46.101.144.0/23 | 46.101.144.1 to 46.101.145.254 | 46.101.145.255 | 510 |
| 202 | 46.101.146.0/23 | 46.101.146.1 to 46.101.147.254 | 46.101.147.255 | 510 |
| 203 | 46.101.148.0/23 | 46.101.148.1 to 46.101.149.254 | 46.101.149.255 | 510 |
| 204 | 46.101.150.0/23 | 46.101.150.1 to 46.101.151.254 | 46.101.151.255 | 510 |
| 205 | 46.101.152.0/23 | 46.101.152.1 to 46.101.153.254 | 46.101.153.255 | 510 |
| 206 | 46.101.154.0/23 | 46.101.154.1 to 46.101.155.254 | 46.101.155.255 | 510 |
| 207 | 46.101.156.0/23 | 46.101.156.1 to 46.101.157.254 | 46.101.157.255 | 510 |
| 208 | 46.101.158.0/23 | 46.101.158.1 to 46.101.159.254 | 46.101.159.255 | 510 |
| 209 | 46.101.160.0/23 | 46.101.160.1 to 46.101.161.254 | 46.101.161.255 | 510 |
| 210 | 46.101.162.0/23 | 46.101.162.1 to 46.101.163.254 | 46.101.163.255 | 510 |
| 211 | 46.101.164.0/23 | 46.101.164.1 to 46.101.165.254 | 46.101.165.255 | 510 |
| 212 | 46.101.166.0/23 | 46.101.166.1 to 46.101.167.254 | 46.101.167.255 | 510 |
| 213 | 46.101.168.0/23 | 46.101.168.1 to 46.101.169.254 | 46.101.169.255 | 510 |
| 214 | 46.101.170.0/23 | 46.101.170.1 to 46.101.171.254 | 46.101.171.255 | 510 |
| 215 | 46.101.172.0/23 | 46.101.172.1 to 46.101.173.254 | 46.101.173.255 | 510 |
| 216 | 46.101.174.0/23 | 46.101.174.1 to 46.101.175.254 | 46.101.175.255 | 510 |
| 217 | 46.101.176.0/23 | 46.101.176.1 to 46.101.177.254 | 46.101.177.255 | 510 |
| 218 | 46.101.178.0/23 | 46.101.178.1 to 46.101.179.254 | 46.101.179.255 | 510 |
| 219 | 46.101.180.0/23 | 46.101.180.1 to 46.101.181.254 | 46.101.181.255 | 510 |
| 220 | 46.101.182.0/23 | 46.101.182.1 to 46.101.183.254 | 46.101.183.255 | 510 |
| 221 | 46.101.184.0/23 | 46.101.184.1 to 46.101.185.254 | 46.101.185.255 | 510 |
| 222 | 46.101.186.0/23 | 46.101.186.1 to 46.101.187.254 | 46.101.187.255 | 510 |
| 223 | 46.101.188.0/23 | 46.101.188.1 to 46.101.189.254 | 46.101.189.255 | 510 |
| 224 | 46.101.190.0/23 | 46.101.190.1 to 46.101.191.254 | 46.101.191.255 | 510 |
| 225 | 46.101.192.0/23 | 46.101.192.1 to 46.101.193.254 | 46.101.193.255 | 510 |
| 226 | 46.101.194.0/23 | 46.101.194.1 to 46.101.195.254 | 46.101.195.255 | 510 |
| 227 | 46.101.196.0/23 | 46.101.196.1 to 46.101.197.254 | 46.101.197.255 | 510 |
| 228 | 46.101.198.0/23 | 46.101.198.1 to 46.101.199.254 | 46.101.199.255 | 510 |
| 229 | 46.101.200.0/23 | 46.101.200.1 to 46.101.201.254 | 46.101.201.255 | 510 |
| 230 | 46.101.202.0/23 | 46.101.202.1 to 46.101.203.254 | 46.101.203.255 | 510 |
| 231 | 46.101.204.0/23 | 46.101.204.1 to 46.101.205.254 | 46.101.205.255 | 510 |
| 232 | 46.101.206.0/23 | 46.101.206.1 to 46.101.207.254 | 46.101.207.255 | 510 |
| 233 | 46.101.208.0/23 | 46.101.208.1 to 46.101.209.254 | 46.101.209.255 | 510 |
| 234 | 46.101.210.0/23 | 46.101.210.1 to 46.101.211.254 | 46.101.211.255 | 510 |
| 235 | 46.101.212.0/23 | 46.101.212.1 to 46.101.213.254 | 46.101.213.255 | 510 |
| 236 | 46.101.214.0/23 | 46.101.214.1 to 46.101.215.254 | 46.101.215.255 | 510 |
| 237 | 46.101.216.0/23 | 46.101.216.1 to 46.101.217.254 | 46.101.217.255 | 510 |
| 238 | 46.101.218.0/23 | 46.101.218.1 to 46.101.219.254 | 46.101.219.255 | 510 |
| 239 | 46.101.220.0/23 | 46.101.220.1 to 46.101.221.254 | 46.101.221.255 | 510 |
| 240 | 46.101.222.0/23 | 46.101.222.1 to 46.101.223.254 | 46.101.223.255 | 510 |
| 241 | 46.101.224.0/23 | 46.101.224.1 to 46.101.225.254 | 46.101.225.255 | 510 |
| 242 | 46.101.226.0/23 | 46.101.226.1 to 46.101.227.254 | 46.101.227.255 | 510 |
| 243 | 46.101.228.0/23 | 46.101.228.1 to 46.101.229.254 | 46.101.229.255 | 510 |
| 244 | 46.101.230.0/23 | 46.101.230.1 to 46.101.231.254 | 46.101.231.255 | 510 |
| 245 | 46.101.232.0/23 | 46.101.232.1 to 46.101.233.254 | 46.101.233.255 | 510 |
| 246 | 46.101.234.0/23 | 46.101.234.1 to 46.101.235.254 | 46.101.235.255 | 510 |
| 247 | 46.101.236.0/23 | 46.101.236.1 to 46.101.237.254 | 46.101.237.255 | 510 |
| 248 | 46.101.238.0/23 | 46.101.238.1 to 46.101.239.254 | 46.101.239.255 | 510 |
| 249 | 46.101.240.0/23 | 46.101.240.1 to 46.101.241.254 | 46.101.241.255 | 510 |
| 250 | 46.101.242.0/23 | 46.101.242.1 to 46.101.243.254 | 46.101.243.255 | 510 |
| 251 | 46.101.244.0/23 | 46.101.244.1 to 46.101.245.254 | 46.101.245.255 | 510 |
| 252 | 46.101.246.0/23 | 46.101.246.1 to 46.101.247.254 | 46.101.247.255 | 510 |
| 253 | 46.101.248.0/23 | 46.101.248.1 to 46.101.249.254 | 46.101.249.255 | 510 |
| 254 | 46.101.250.0/23 | 46.101.250.1 to 46.101.251.254 | 46.101.251.255 | 510 |
| 255 | 46.101.252.0/23 | 46.101.252.1 to 46.101.253.254 | 46.101.253.255 | 510 |
| 256 | 46.101.254.0/23 | 46.101.254.1 to 46.101.255.254 | 46.101.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |